- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Functions
Ecore main loop integration function.
Ecore

## Typedefs
typedef struct _Ecore_Avahi | Ecore_Avahi
| A handle for an Avahi instance. More...

## Functions
EAPI Ecore_Avahi * | ecore_avahi_add (void)
| Create an AvahiPoll context and integrate it within Ecore main loop. More...
EAPI void | ecore_avahi_del (Ecore_Avahi *handler)
| Delete the specified handler of an AvahiPoll. More...
EAPI const void * | ecore_avahi_poll_get (Ecore_Avahi *handler)
| Get the AvahiPoll structure to integrate with Ecore main loop. More...

## Detailed Description

## Typedef Documentation

typedef struct _Ecore_Avahi Ecore_Avahi

A handle for an Avahi instance.

Since
  1.9

## Function Documentation

EAPI Ecore_Avahi* ecore_avahi_add | ( | void |  | ) |

Create an AvahiPoll context and integrate it within Ecore main loop.

Returns
  A handler that reference the AvahiPoll context

Since
  1.9

EAPI void ecore_avahi_del | ( | Ecore_Avahi * | handler | ) |

Delete the specified handler of an AvahiPoll.

Parameters

  handler | The actual handler to destroy.

Since
  1.9

Be aware there should not be any reference still using that handler before destroying it.

References ecore_main_fd_handler_del(), ecore_timer_del(), and EINA_LIST_FREE.

EAPI const void* ecore_avahi_poll_get | ( | Ecore_Avahi * | handler | ) |

Get the AvahiPoll structure to integrate with Ecore main loop.

Parameters

  handler | The handler to get the AvahiPoll structure from.

Returns
  return the actual AvahiPoll structure to use with Avahi.

Since
  1.9